Subject: Re: [PATCH] sky2: don't do GRO on second port

From: Jarek Poplawski <[email-masked]>
Date: Thu, 2 Sep 2010 09:32:30 +0000

On Thu, Sep 02, 2010 at 08:33:27AM +0000, Jarek Poplawski wrote:
> On Wed, Sep 01, 2010 at 02:51:51PM -0700, David Miller wrote:
> > The only scenerio you can guarentee that all packets for a given
> > flow key will be treated the same is the one where the input device
> > is the same as well.
> > 
> > When there is a single napi --> device mapping, it works, but without
> > that invariant it doesn't.
> 
> Do you mean a single napi can't be used eg. for vlan_gro and napi_gro?
> (napi_gro handles flows for skb->dev different from napi->dev or I
Of course I meant:
(vlan_gro handles flows for skb->dev different from napi->dev or I

> miss something?)

Sorry,
Jarek P.